Subject: Re: [PATCH net-2.6] Re: rib_trie / Fix inflate_threshold_root. Now=15 size=11 bits

From: Paweł Staszewski <[email-masked]>
Date: Thu, 02 Jul 2009 07:43:25 +0200

Jarek Poplawski pisze:
> On Thu, Jul 02, 2009 at 12:17:19AM +0200, Paweł Staszewski wrote:
>   
>> Jarek Poplawski pisze:
>>     
> ...
>   
>>> So, after your findings I'm about to recommend sending to -stable
>>> 3 patches from net-2.6, with additional lowering of threshold_root
>>> settings, but it would be nice if you could give it a try with
>>> CONFIG_PREEMPT instead of CONFIG_PREEMPT_NONE (if it doesn't break
>>> your other apps!) It is expected to work this time...;-) Maybe a
>>> bit slower.
>>>
>>>   
>>>       
>> Patch applied to 2.6.29.5 with CONFIG_PREEMPT_NONE
>> And working :)
>>     
>
> Hmm... It should, because you tested very similar patch already;-)
> Sorry if I didn't make it clear.
>
>   
Yes i know there was almost identical one.
And i see this was without sync rcu :)

>> fib_triestats in attached file
>>
>> I think I can test it with PREEMPT enabled but first i must make some  
>> other tests of my apps that are on server.
>>     
>
> It could probably matter only if you're using some broken out-of-tree
> patches. Otherwise the kernel is expected to work OK.
>
>   
Im a little confused about using of PREEMPT kernel because of past
there was many oopses / lockups :) but yes that was a little long time ago.
I will try to make this test today.

> Btw., it would be also interesting to check if there is any difference
> wrt. these route cache problems while PREEMPT is enabled.
>
> Thanks,
> Jarek P.
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>
>